<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
                        http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>jp.co.y_net</groupId>
    <artifactId>AMM</artifactId>
    <name>AMM</name>
    <version>1.4.2</version>
    <packaging>pom</packaging>
    <url>http://172.16.12.13/trac/P11344</url>

    <organization>
        <name>SunDataCenter</name>
        <url>http://www.y-net.co.jp/</url>
    </organization>

    <modules>
        <module>../AMM_web</module>
    </modules>

      <repositories>
        <repository>
            <id>server001</id>
            <name>Sun Data Center Repository</name>
            <url>http://172.16.12.13/maven</url>
        </repository>
        <repository>
            <id>mirrors.ibiblio.org.pub.mirrors.maven2</id>
            <name>Central Mirror</name>
            <url>http://mirrors.ibiblio.org/pub/mirrors/maven2</url>
        </repository>
        <repository>
            <id>com.springsource.repository.bundles.release</id>
            <name>SpringSource Enterprise Bundle Repository -
                SpringSource Bundle Releases</name>
            <url>http://repository.springsource.com/maven/bundles/release
            </url>
        </repository>
        <repository>
            <id>com.springsource.repository.bundles.external</id>
            <name>SpringSource Enterprise Bundle Repository - External
                Bundle Releases</name>
            <url>http://repository.springsource.com/maven/bundles/external
            </url>
        </repository>
    </repositories>

    <pluginRepositories>
    </pluginRepositories>

    <build>
        <!--
            pluginManagement: is an element that is seen along side plugins.
            Plugin Management contains plugin elements in much the same way,
            except that rather than configuring plugin information for this particular project build,
            it is intended to configure project builds that inherit from this one.
            However, this only configures plugins that are actually referenced within the plugins element in the children.
            The children have every right to override pluginManagement definitions.
            +++++
            この要素は、[plugins] 要素のとなりに見られる要素です。
            [pluginManagement] は、[plugins] 要素とほとんど同じ [plugin] 要素を含みますが、ただし、
            このプロジェクト自身のビルドのためのプラグイン情報を定義しているのではなく、
            このプロジェクトを継承したプロジェクトの定義のためにあります。
            ＜Excite:しかしながら、これは、単に子どもの中のplugins要素内に実際に参考文献として載せられるpluginsを形成します。＞
            継承先？（子ども）のプロジェクトは全て [pluginManagement] 要素の定義を上書きする資格を持っています。
            =====
            If we added these specifications to the plugins element, they would apply only to a single POM.
            However, if we apply them under the pluginManagement element,
            then this POM and all inheriting POMs that add the maven-jar-plugin to the build
            will get the pre-process-classes execution as well.
            So rather than the above mess included in every child pom.xml,
            only the following is required:
            +++++
            もし [plugins] 要素に定義を書いたならば、それらは単一の POM のみに適用されるでしょう。
            （注：この文章の上に、サンプル定義が書いてある。maven-jar-plugin において pre-process-classes という id を実行するというもの）
            しかしながら、[pluginManagement] 要素でその定義を書いたならば、この POM および継承する全ての POM の build 要素に
            pre-process-classes の実行が追加されるでしょう。
            したがって、すべての子 POM に上記の記述を含める必要はなく、以下の記述のみが必要です（注：この下にサンプルがあり）。
         -->
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>${maven-compiler-plugin.version}</version>
                    <configuration>
                        <source>1.7</source>
                        <target>1.7</target>
                        <optimize>true</optimize>
                        <debug>true</debug>
                        <encoding>UTF-8</encoding>
                        <compilerArguments>
                            <verbose />
                            <bootclasspath>${java.home}/lib/rt.jar</bootclasspath>
                        </compilerArguments>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-resources-plugin</artifactId>
                    <version>${maven-resources-plugin.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-javadoc-plugin</artifactId>
                    <version>${maven-javadoc-plugin.version}</version>
                    <executions>
                        <execution>
                            <id>JavadocSiteExecution1</id>
                            <phase>site</phase>
                            <goals>
                                <goal>aggregate</goal>
                            </goals>
                        </execution>
                        <execution>
                            <id>JavadocSiteExecution2</id>
                            <phase>site</phase>
                            <goals>
                                <goal>javadoc</goal>
                            </goals>
                        </execution>
                    </executions>
                    <configuration>
                        <show>package</show>
                        <nohelp>true</nohelp>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-checkstyle-plugin</artifactId>
                    <version>${maven-checkstyle-plugin.version}</version>
                    <configuration>
                        <enableRulesSummary>false</enableRulesSummary>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-pmd-plugin</artifactId>
                    <version>${maven-pmd-plugin.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>cobertura-maven-plugin</artifactId>
                    <version>${cobertura-maven-plugin.version}</version>
                    <executions>
                        <execution>
                            <id>CoberturaCleanExecution1</id>
                            <phase>clean</phase>
                            <goals>
                                <goal>clean</goal>
                            </goals>
                        </execution>
                        <execution>
                            <id>CoberturaPackageExecution1</id>
                            <phase>package</phase>
                            <goals>
                                <goal>cobertura</goal>
                            </goals>
                        </execution>
                    </executions>
                    <configuration>
                        <encoding>UTF-8</encoding>
                        <formats>
                            <format>html</format>
                            <format>xml</format>
                        </formats>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-surefire-plugin</artifactId>
                    <version>${maven-surefire-plugin.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-site-plugin</artifactId>
                    <version>${maven-site-plugin.version}</version>
                    <configuration>
                        <locales>ja</locales>
                        <generateSitemap>true</generateSitemap>
                        <reportPlugins>
                            <plugin>
                                <groupId>org.apache.maven.plugins</groupId>
                                <artifactId>maven-project-info-reports-plugin</artifactId>
                                <version>${maven-project-info-reports-plugin.version}</version>
                                <configuration>
                                    <dependencyDetailsEnabled>false</dependencyDetailsEnabled>
                                    <dependencyLocationsEnabled>false</dependencyLocationsEnabled>
                                </configuration>
                                <!-- simpler configuration without reportSets available for usual cases -->
                                <reports>
                                    <report>dependencies</report>
                                    <report>scm</report>
                                </reports>
                            </plugin>
                            <plugin>
                                <groupId>org.apache.maven.plugins</groupId>
                                <artifactId>maven-javadoc-plugin</artifactId>
                                <version>${maven-javadoc-plugin.version}</version>
                            </plugin>
                          </reportPlugins>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>com.atlassian.maven.plugins</groupId>
                    <artifactId>maven-clover2-plugin</artifactId>
                    <version>${maven-clover2-plugin.version}</version>
                    <configuration>
                        <generatePdf>true</generatePdf>
                        <generateXml>true</generateXml>
                        <generateHtml>false</generateHtml>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-shade-plugin</artifactId>
                    <version>${maven-shade-plugin.version}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-deploy-plugin</artifactId>
                    <version>${maven-deploy-plugin.version}</version>
                </plugin>
            </plugins>
        </pluginManagement>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-javadoc-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-checkstyle-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-pmd-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>cobertura-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-site-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>com.atlassian.maven.plugins</groupId>
                <artifactId>maven-clover2-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-shade-plugin</artifactId>
            </plugin>
        </plugins>
    </build>

    <dependencyManagement>
    </dependencyManagement>

    <dependencies>

        <!-- JUNIT DEPENDENCY FOR TESTING -->
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>${junit.version}</version>
            <type>jar</type>
            <scope>test</scope>
            <optional>false</optional>
        </dependency>
        <dependency>
            <groupId>net.sf.twip</groupId>
            <artifactId>twip</artifactId>
            <version>${twip.version}</version>
            <type>jar</type>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.hamcrest</groupId>
            <artifactId>hamcrest-library</artifactId>
            <version>${hamcrest.version}</version>
            <type>jar</type>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.hamcrest</groupId>
            <artifactId>hamcrest-integration</artifactId>
            <version>${hamcrest.version}</version>
            <type>jar</type>
            <scope>test</scope>
        </dependency>

        <!-- LOGGING DEPENDENCIES - LOG4J 
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-log4j12</artifactId>
            <version>${slf4j-log4j12.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>
        <dependency>
            <groupId>log4j</groupId>
            <artifactId>log4j</artifactId>
            <version>${log4j.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>
        -->
        <!-- logback -->
        <dependency>
            <groupId>ch.qos.logback</groupId>
            <artifactId>logback-core</artifactId>
            <version>1.1.3</version>
        </dependency>
        <dependency>
            <groupId>ch.qos.logback</groupId>
            <artifactId>logback-classic</artifactId>
            <version>1.1.3</version>
        </dependency>
		<dependency>
		    <groupId>janino</groupId>
		    <artifactId>janino</artifactId>
		    <version>2.5.10</version>
		</dependency>

        <!-- JETTY DEPENDENCIES FOR TESTING -->
        <dependency>
            <groupId>org.mortbay.jetty</groupId>
            <artifactId>jetty</artifactId>
            <version>${jetty.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.mortbay.jetty</groupId>
            <artifactId>jetty-util</artifactId>
            <version>${jetty.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.mortbay.jetty</groupId>
            <artifactId>jetty-management</artifactId>
            <version>${jetty.version}</version>
            <scope>provided</scope>
        </dependency>

        <!-- SPRING FRAMEWORK -->
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>org.springframework.core</artifactId>
            <version>${spring.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>
        <dependency>
            <groupId>org.aopalliance</groupId>
            <artifactId>com.springsource.org.aopalliance</artifactId>
            <version>${aopalliance.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>org.springframework.aop</artifactId>
            <version>${spring.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>org.springframework.aspects</artifactId>
            <version>${spring.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>org.springframework.beans</artifactId>
            <version>${spring.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>org.springframework.asm</artifactId>
            <version>${spring.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>org.springframework.expression</artifactId>
            <version>${spring.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>org.springframework.jdbc</artifactId>
            <version>${spring.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>org.springframework.jms</artifactId>
            <version>${spring.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>org.springframework.orm</artifactId>
            <version>${spring.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>org.springframework.oxm</artifactId>
            <version>${spring.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>org.springframework.context</artifactId>
            <version>${spring.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>org.springframework.web</artifactId>
            <version>${spring.version}</version>
            <type>jar</type>
        </dependency>

        <!-- HIBERNATE -->
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-core</artifactId>
            <version>${hibernate.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>
        <!--
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-annotations</artifactId>
            <version>3.5.6-Final</version>
        </dependency>
         -->
        <dependency>
            <groupId>javassist</groupId>
            <artifactId>javassist</artifactId>
            <version>${javassist.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>commons-dbcp</groupId>
            <artifactId>commons-dbcp</artifactId>
            <version>${commons-dbcp.version}</version>
            <type>jar</type>
            <scope>compile</scope>
        </dependency>
        <!-- Hibernate c3p0 connection pool -->
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-c3p0</artifactId>
            <version>${hibernate.version}</version>
        </dependency>
        <!-- MySQL -->
		<dependency>
		    <groupId>mysql</groupId>
		    <artifactId>mysql-connector-java</artifactId>
		    <version>5.1.6</version>
		</dependency>

        <!-- POSTGRESQL -->
        <dependency>
            <groupId>postgresql</groupId>
            <artifactId>postgresql</artifactId>
            <version>${postgresql.version}</version>
            <type>jar</type>
            <optional>false</optional>
        </dependency>

        <!-- APACHE COMMONS -->
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-compress</artifactId>
            <version>${commons-compress.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
            <version>${commons-codec.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-lang</groupId>
            <artifactId>commons-lang</artifactId>
            <version>${commons-lang.version}</version>
            <type>jar</type>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>commons-email</groupId>
            <artifactId>commons-email</artifactId>
            <version>${commons-email.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
            <version>${httpclient.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpmime</artifactId>
            <version>${httpmime.version}</version>
        </dependency>
         <!-- OTHERS -->
        <dependency>
            <groupId>org.quartz-scheduler</groupId>
            <artifactId>quartz</artifactId>
            <version>${quartz.version}</version>
        </dependency>
        <dependency>
            <groupId>org.hsqldb</groupId>
            <artifactId>hsqldb</artifactId>
            <version>${hsqldb.version}</version>
        </dependency>
        <!-- ITEXT -->
        <dependency>
            <groupId>com.itextpdf</groupId>
            <artifactId>itextpdf</artifactId>
            <version>5.4.0</version>
        </dependency>
        <dependency>
            <groupId>com.itextpdf</groupId>
            <artifactId>itext-asian</artifactId>
            <version>5.2.0</version>
        </dependency>
        <!-- JFreeChart -->
        <dependency>
            <groupId>jfree</groupId>
            <artifactId>jfreechart</artifactId>
            <version>1.0.13</version>
        </dependency>
        <!-- Jackson -->
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-core</artifactId>
            <version>2.5.0</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
            <version>2.5.0</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-annotations</artifactId>
            <version>2.5.0</version>
        </dependency>
        
        <!-- Jackson -->
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-core</artifactId>
            <version>2.5.0</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
            <version>2.5.0</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-annotations</artifactId>
            <version>2.5.0</version>
        </dependency>
    </dependencies>

    <reporting>
        <excludeDefaults>false</excludeDefaults>
        <plugins>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>cobertura-maven-plugin</artifactId>
                <inherited>true</inherited>
                <version>${cobertura-maven-plugin.version}</version>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-checkstyle-plugin</artifactId>
                <version>${maven-checkstyle-plugin.version}</version>
                <inherited>true</inherited>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-report-plugin</artifactId>
                <version>${maven-surefire-report-plugin.version}</version>
                <inherited>true</inherited>
                <configuration>
                    <showSuccess>false</showSuccess>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jxr-plugin</artifactId>
                <version>${maven-jxr-plugin.version}</version>
                <inherited>true</inherited>
                <configuration>
                    <aggregate>true</aggregate>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-javadoc-plugin</artifactId>
                <version>${maven-javadoc-plugin.version}</version>
                <inherited>true</inherited>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-site-plugin</artifactId>
                <version>${maven-site-plugin.version}</version>
                <inherited>true</inherited>
                <configuration>
                    <locales>ja</locales>
                    <generateSitemap>true</generateSitemap>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-pmd-plugin</artifactId>
                <version>${maven-pmd-plugin.version}</version>
                <inherited>true</inherited>
                <reportSets>
                    <reportSet>
                        <reports>
                            <report>pmd</report>
                            <report>cpd</report>
                        </reports>
                    </reportSet>
                </reportSets>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>javancss-maven-plugin</artifactId>
                <version>${javancss-maven-plugin.version}</version>
                <inherited>true</inherited>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>findbugs-maven-plugin</artifactId>
                <version>${findbugs-maven-plugin}</version>
                <configuration>
                    <findbugsXmlOutput>true</findbugsXmlOutput>
                    <xmlOutput>true</xmlOutput>
                </configuration>
            </plugin>
        </plugins>
    </reporting>

    <properties>
         <!-- プロジェクトの設定 -->
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>

        <!-- 関連するプロジェクトのバージョン -->

        <!-- 依存関係のあるライブラリバージョン -->
        <axis2.version>1.5.6</axis2.version>
        <junit.version>4.8.2</junit.version>
        <twip.version>3.3</twip.version>
        <log4j.version>1.2.16</log4j.version>
        <slf4j-log4j12.version>1.6.1</slf4j-log4j12.version>
        <spring.version>3.1.1.RELEASE</spring.version>
        <aopalliance.version>1.0.0</aopalliance.version>
        <hibernate.version>3.6.10.Final</hibernate.version>
        <!-- <hibernate-annotations.version>3.5.6-Final</hibernate-annotations.version> -->
        <postgresql.version>9.1-901-1.jdbc4</postgresql.version>
        <javassist.version>3.12.1.GA</javassist.version>
        <cglib.version>2.2.2</cglib.version>
        <aspectjweaver.version>1.6.11</aspectjweaver.version>
        <aspectjtools.version>1.6.11</aspectjtools.version>
        <icu4j.version>4.8</icu4j.version>
        <commons-compress.version>1.4.1</commons-compress.version>
        <commons-codec.version>1.6</commons-codec.version>
        <commons-lang.version>2.6</commons-lang.version>
        <commons-email.version>1.1</commons-email.version>
        <commons-dbcp.version>1.4</commons-dbcp.version>
        <httpclient.version>4.1.3</httpclient.version>
        <httpmime.version>4.1.3</httpmime.version>
        <hsqldb.version>2.2.8</hsqldb.version>
        <quartz.version>1.8.6</quartz.version>

        <!-- Maven プラグインのバージョン -->
        <maven-compiler-plugin.version>2.5.1</maven-compiler-plugin.version>
        <maven-javadoc-plugin.version>2.8.1</maven-javadoc-plugin.version>
        <maven-checkstyle-plugin.version>2.9.1</maven-checkstyle-plugin.version>
        <maven-pmd-plugin.version>2.7.1</maven-pmd-plugin.version>
        <cobertura-maven-plugin.version>2.5.1</cobertura-maven-plugin.version>
        <maven-surefire-plugin.version>2.12</maven-surefire-plugin.version>
        <maven-resources-plugin.version>2.5</maven-resources-plugin.version>
        <maven-project-info-reports-plugin.version>2.4</maven-project-info-reports-plugin.version>
        <maven-site-plugin.version>3.1</maven-site-plugin.version>
        <maven-clover2-plugin.version>3.1.6</maven-clover2-plugin.version>
        <maven-shade-plugin.version>1.7</maven-shade-plugin.version>
        <maven-deploy-plugin.version>2.7</maven-deploy-plugin.version>
        <maven-surefire-report-plugin.version>2.12</maven-surefire-report-plugin.version>
        <maven-jxr-plugin.version>2.3</maven-jxr-plugin.version>
        <javancss-maven-plugin.version>2.0</javancss-maven-plugin.version>
        <findbugs-maven-plugin.version>2.5.1</findbugs-maven-plugin.version>

        <!-- WEBOPAC用 -->
        <jetty.version>6.1.4</jetty.version>
        <hamcrest.version>1.2.1</hamcrest.version>
    </properties>
</project>